Issue 61225 - Basic misuses the resource system
Summary: Basic misuses the resource system
Status: CLOSED FIXED
Alias: None
Product: App Dev
Classification: Unclassified
Component: scripting (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All All
: P3 Trivial
Target Milestone: ---
Assignee: Oliver Specht
QA Contact: Unknown
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-27 07:16 UTC by Oliver Specht
Modified: 2013-02-24 21:00 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Software Specificaton (60.63 KB, application/vnd.sun.xml.writer)
2006-01-27 07:19 UTC, Oliver Specht
no flags Details
Bugdoc using on error in Basic (60.65 KB, application/vnd.sun.xml.writer)
2006-04-27 14:59 UTC, ab
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Oliver Specht 2006-01-27 07:16:58 UTC
Instead of creating an own ResMgr the class BasicDLL uses a NULL pointer as ResMgr. 
This leads to unfound resources. 

Load the attached document and select an entry in the ListBox on the page page. 
Instead of showing an error box the BasicIDE will either stop on a wrong line of
code without showing any error or it might even crash.
Comment 1 Oliver Specht 2006-01-27 07:19:00 UTC
Created attachment 33608 [details]
Software Specificaton
Comment 2 ab 2006-03-06 16:14:12 UTC
Started
Comment 3 ab 2006-04-27 14:59:07 UTC
Created attachment 36112 [details]
Bugdoc using on error in Basic
Comment 4 ab 2006-04-27 15:05:40 UTC
FIXED

This task could only be fixed partly for pp3 as the Error Messages are
displayed by Basic IDE using tools ErrorHandler::HandleError() which
does not allow to specifiy a ResMgr (evalutated together with pl).

So the FIXED status only refers to the wrong usage inside Basic. Chan-
ging the behaviour in BasicIDE cannot be done any more for pp3 and a
follow up task will be created.

The attached document i61225_OnError_Software-Specification-Template.odt
contains slighly modified Basic code catching the error and printing it
out. It shows that the Basic internal resource management now works in
the given situation.
Comment 5 ab 2006-04-28 14:07:35 UTC
ab->tbo: Before also Basic couldn't load the resource and the Office was freezing.


re-open issue and reassign to tbo@openoffice.org
Comment 6 ab 2006-04-28 14:07:40 UTC
reassign to tbo@openoffice.org
Comment 7 ab 2006-04-28 14:07:43 UTC
reset resolution to FIXED
Comment 8 b.osi.ooo 2006-05-04 12:16:16 UTC
verified in CWS ab26
Comment 9 b.osi.ooo 2006-05-11 16:04:17 UTC
please verify in master and close
Comment 10 b.osi.ooo 2006-05-11 16:04:47 UTC
.
Comment 11 b.osi.ooo 2006-05-11 16:05:07 UTC
.
Comment 12 b.osi.ooo 2006-05-11 16:05:30 UTC
.
Comment 13 Mathias_Bauer 2007-02-05 15:51:54 UTC
closing
Comment 14 Mathias_Bauer 2007-02-05 15:55:00 UTC
closing